#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	xosview
#-----------------------------------------------------------------------------
Name		:	xosview2
Version		:	2.3.3
Release		:	16.2.1.rel%{?dist}
Summary		:	Displays where a particular program in your path is located
Group		:	Applications/system

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+
URL		:	http://www.pogo.org.uk/~mark/xosview/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
Buildrequires	:	freetype-devel
Buildrequires	:	desktop-file-utils
Buildrequires	:	xorg-libICE 
Buildrequires	:	xorg-libXpm
Buildrequires	:	xorg-libXft

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.


#=============================================================================
%files			
%defattr(-, root,root, 0755)
%doc COPYING README README.linux
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%config (noreplace) %{_datadir}/X11/app-defaults/XOsview2

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

#-----------------------------------------------------------------------------
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -f -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-linux-syscalls				\
	--enable-devel					\
	--with-x					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\
	PLATFORM=linux

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	PREFIX=%{_prefix}					\
	install

#%{__mkdir_p} %{buildroot}%{_datadir}/X11/app-defaults
#%{__cp}								\
#	Xdefaults						\
#	%{buildroot}%{_datadir}/X11/app-defaults/XOsview

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
